Ruby - Bug #17867

split.rb:30: [BUG] Segmentation fault
05/18/2021 07:21 AM - rsudo (Sudo Ryu)

Status: Rejected
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.0.0p648 (2015-12-16) Backport: 2.6: UNKNOWN, 2.7: UNKNOWN, 3.0:
[x86_64-linux] UNKNOWN

Description

Hello,

We hit a "Segmentation fault" of a small ruby script (split.rb).
OS is CentOS7.7 and ruby 2.0.0p648 is used.

ruby --version

ruby 2.0.0p648 (2015-12-16) [x86_64-linux]

I'd like to know is this is a known issue of ruby 2.0.0 on CentOS7.7.

Or, program bugs?

Any quick workarounds are welcome.

Also, I'd like to know how to check our 'split.pb' is valid ruby program, or not.
| attached ruby error messages as a text file 'ruby_messages.txt'.

| appreciate your feedback.

Best Regards,
--Sudo

History

#1 - 05/18/2021 07:43 AM - xtkoba (Tee KOBAYASH]I)

A quick workaround would be not to use such an old version as 2.0.0p648.

#2 - 05/18/2021 08:04 AM - jaruga (Jun Aruga)
| think the ruby 2.0.0p648 is the ruby installed as a RPM package on the CentOS 7 by default.
If you do not have any reason to continue to use it, | would recommend a newer ruby installed by Software Collections or one built from the source.

https://wiki.centos.org/AdditionalResources/Repositories/SCL
You can also find some helpful pages by searching keywords such as CentOS software collection centos-release-scl rh-ruby27.

#3 - 05/18/2021 08:12 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Rejected

Unfortunately, Ruby 2.0.0 is EOL today.

Files

ruby_messages.txt 10.3 KB 05/18/2021 rsudo (Sudo Ryu)
